/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

dojo.provide("javascript.widgets.IPAddressRange");

dojo.declare('IPAddressRange', /*Enumerable, JMB TODO*/ {   

    _each: function(iterator) {
        iterator(this.start);

        for (var x = this.start.bits + 1; x <= this.end.bits; ++x)
            iterator(new IPAddress(x));
    },


    initialize: function(start, end) {
        this.start = new IPAddress(start);
        this.end = new IPAddress(end || start);

        // swap order if necessary
        if (this.start.bits > this.end.bits) {
            var x = this.start;
            this.end = this.start;
            this.start = x;
        }
    }

});
