/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.users;

/**
 * WARNING! This method is deprecated. Use Java's Groups.createEveryoneGroup instead.
 *
 * This method exists to eliminate a JAVA circular dependency from rainmaker.setup's setup.groovy file
 * since rainmaker.groups depends on rainmaker.setup. Somehow, Groovy can can get around it.
 */
def createEveryoneGroup()
{
    com.ibm.websphere.users.Groups.createEveryoneGroup();
}

/**
 * WARNING! This method is deprecated. Use Java's Groups.updateGroup instead.
 *
 * This method exists to eliminate a JAVA circular dependency from rainmaker.appliances' SetServerLocale.groovy file
 * since rainmaker.groups depends on rainmaker.appliance. Somehow, Groovy can can get around it.
 */
def updateGroup(group)
{
    com.ibm.websphere.users.Groups.updateGroup(group);
}
