/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.users;

def getUserSettings(id)
{
    def settings = [:];
/*
    def values = getResources('SettingInstances', [userid: id], false);
      
    tmp.settings[].each { setting -> 
        def instance = values.find { it.settingid == setting.id };
        settings[setting.name] = setting.values.find { it.id == instance.valueid };
    }
 */   
    return settings;
}

def updateUserSetting(id, name, value)
{
    value = value.toString();
    
    def setting = tmp.settings[].find { it.name == name };
    def valueDef = setting.values.find { it.value == value };
    def instance = getResource('SettingInstances', [userid: id, settingid: setting.id]);
    
    return updateResource('SettingInstances', [id: instance.id, valueid: valueDef.id]);
}
