import com.ibm.ws.xs.app.DomainConnectionUpdater;
import com.ibm.ws.xs.stats.client.routing.StatsRetrieverRouter;

def onCreate() {
	def requested = request.input[].getText()

	if (storage.current.domain[] == null || !requested.equals(storage.current.domain[])) {
	    if(!storage.current.domain[].contains("<")){ //do not allow cross site scripting
			storage.current.domain = requested
			DomainConnectionUpdater.setConnectionInfo(DomainConnectionUpdater.CURRENT_DOMAIN);

			StatsRetrieverRouter.stopRouter();
		}
		
	}
	
    request.status = 201
}

def onGet() {
    def rv = storage.current.domain[]

    if (rv == null) {
        rv = []
    }

    request.json.output = rv
    request.view = 'JSON'; 
    render()
}    
    
