/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.acl;

import com.ibm.websphere.acl.AccessControls;

/**
 * WARNING! This method is deprecated. Use AccessControls.createAccessControl instead.
 *
 * This method exists to eliminate a JAVA circular dependency from rainmaker.setup's setup.groovy file
 * since rainmaker.acl depends on rainmaker.setup. Somehow, Groovy can can get around it.
 */
def createAccessControl(collection, resource, user, isGroup = false, permissions = null, checkAccessControl = true)
{
    AccessControls.createAccessControl(collection, resource, user, isGroup, permissions, checkAccessControl);
}
