/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2012. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/


dojo.provide('javascript.widgets.GenericDialog');

dojo.require("dijit.Dialog");

dojo.requireLocalization("javascript.widgets", "xsa_messages");

dojo.declare('javascript.widgets.GenericDialog', dijit.Dialog, {   

	templateString: dojo.cache("javascript", "widgets/templates/GenericDialog.html"),

	showClose: false,
	xsa_messages : null,

	postCreate: function(){
		this.inherited(arguments);
		
		this.xsa_messages = dojo.i18n.getLocalization("javascript.widgets", "xsa_messages");
		if(!this.showClose){
			dojo.style(this.closeButtonNode, "display", "none");
		} else {
			dojo.attr(this.closeButtonNode, "title", this.xsa_messages.close);
		}
		
	},
		
	//make the background the same color as the other dialogs
	show: function(){
		this.inherited(arguments);
		dojo.removeClass(dijit._underlay.domNode, "dijitDialogUnderlayWrapper");
		dojo.addClass(dijit._underlay.domNode, "page-overlay");
		dojo.style(dijit._underlay.domNode, "opacity", "0.25");
	}

});
